libnvme(2)

NAME
enum nvme_io_opcode - Opcodes for I/O Commands

SYNOPSIS
enum nvme_io_opcode {
nvme_cmd_flush ,
nvme_cmd_write ,
nvme_cmd_read ,
nvme_cmd_write_uncor ,
nvme_cmd_compare ,
nvme_cmd_write_zeroes ,
nvme_cmd_dsm ,
nvme_cmd_verify ,
nvme_cmd_resv_register ,
nvme_cmd_resv_report ,
nvme_cmd_resv_acquire ,
nvme_cmd_io_mgmt_recv ,
nvme_cmd_resv_release ,
nvme_cmd_cancel ,
nvme_cmd_copy ,
nvme_cmd_io_mgmt_send ,
nvme_zns_cmd_mgmt_send ,
nvme_zns_cmd_mgmt_recv ,
nvme_zns_cmd_append ,
nvme_cmd_fabric

};

Constants

nvme_cmd_flush
    Flush

nvme_cmd_write
    Write

nvme_cmd_read
    Read

nvme_cmd_write_uncor
    Write Uncorrectable

nvme_cmd_compare
    Compare

nvme_cmd_write_zeroes
    write Zeros

nvme_cmd_dsm
    Dataset Management

nvme_cmd_verify
    Verify

nvme_cmd_resv_register
    Reservation Register

nvme_cmd_resv_report
    Reservation Report

nvme_cmd_resv_acquire
    Reservation Acquire

nvme_cmd_io_mgmt_recv
    I/O Management Receive

nvme_cmd_resv_release
    Reservation Release

nvme_cmd_cancel
    Cancel

nvme_cmd_copy
    Copy

nvme_cmd_io_mgmt_send
    I/O Management Send

nvme_zns_cmd_mgmt_send
    Zone Management Send

nvme_zns_cmd_mgmt_recv
    Zone Management Receive

nvme_zns_cmd_append
    Zone Append

nvme_cmd_fabric
    Fabric Commands